Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng

# Class BatchCompletion.DetailedError

java.lang.Object
org.firebirdsql.gds.ng.BatchCompletion.DetailedError

Enclosing class:
  BatchCompletion

public static final class BatchCompletion.DetailedError extends Object

## Constructor Summary

Constructors
Constructor
Description
`DetailedError(int element, SQLException error)`

## Method Summary

Modifier and Type
Method
Description
`int`
`element()`
`SQLException`
`error()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DetailedError

public DetailedError(int element, SQLException error)

## Method Details

### element

public int element()

Returns:
  0-based index of the element with this error

### error

public SQLException error()

Returns:
  error as a `SQLException`